<?php

namespace jrosset\Collections;

/**
 * Interface for comparable objects
 *
 * @template TObject of object
 */
interface IComparable {
    /**
     * Compare to another instance
     *
     * @param TObject $other The other instance
     *
     * @return int <br>&lt; 0 if current instance is classed before the other instance
     *             <br>= 0 if current instance is classed equals the other instance
     *             <br>&gt; 0 if current instance is classed after the other instance
     *
     * @noinspection PhpMissingParamTypeInspection
     */
    public function compareTo ($other): int;
}